# $Id: perl-Video-DVDRip.spec,v 1.8 2002/12/09 16:22:09 dude Exp $

%define	perl_sitelib	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
%define	__find_provides	/usr/lib/rpm/find-provides.perl
%define	__find_requires	%{nil}

Summary: DVD ripping graphical tool using transcode.
Name: perl-Video-DVDRip
Version: 0.48.6
Release: fr0.rh73.1
License: Artistic
Group: Applications/Multimedia
Source: Video-DVDRip-%{version}.tar.gz
URL: http://www.exit1.org/dvdrip/
BuildRoot: %{_tmppath}/%{name}-root
Requires: transcode, Gtk-Perl, ImageMagick, ogmtools, subtitleripper, vcdimager
BuildRequires: Gtk-Perl

%description
dvd::rip is a Perl Gtk+ based DVD copy program built on top of a low level
DVD Ripping API, which uses the Linux Video Stream Processing Tool transcode.

%prep
%setup -q -n Video-DVDRip-%{version}

%build
perl Makefile.PL
make

%install
rm -rf %{buildroot}
make install \
	INSTALLSCRIPT=%{buildroot}%{_bindir} \
	INSTALLSITELIB=%{buildroot}%{perl_sitelib} \
	INSTALLSITEARCH=%{buildroot}%{perl_sitearch} \
	INSTALLMAN1DIR=%{buildroot}%{_mandir}/man1 \
	INSTALLSITEMAN1DIR=%{buildroot}%{_mandir}/man1 \
	INST_MAN1DIR=%{buildroot}%{_mandir}/man1 \
	INSTALLMAN3DIR=%{buildroot}%{_mandir}/man3 \
	INSTALLSITEMAN3DIR=%{buildroot}%{_mandir}/man3 \
	INST_MAN3DIR=%{buildroot}%{_mandir}/man3

# Unpackaged strange files!
rm -f %{buildroot}%{_mandir}/man?/.exists* || :

# Unneeded, all is in sitelib
rm -rf %{buildroot}%{perl_sitearch}

%clean 
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/*
%{perl_sitelib}/Video/*
%{_mandir}/man*/*

%changelog
* Fri Dec 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.48.6.

* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.48.5.

* Mon Nov 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.48.0.
- At last, rebuilt for Red Hat Linux 8.0.

* Mon Sep 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.46.

* Thu Aug  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.44.
- Added build dependency on Gtk-Perl.

* Tue Jun 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Sun Jun 16 2002 Nemo <no@one>
- v0.43

* Sun Jun 09 2002 Nemo <no@one>
- v0.42

* Tue May 14 2002 Nemo <no@one>
- v0.40

* Mon May 13 2002 Nemo <no@one>
- v0.39-2
- Michel Alexandre Salim <salimma1@yahoo.co.uk> suggested an improvement in the PATH used by "make test"

* Tue Mar 05 2002 Nemo <no@one>
- bumped up to v0.34

* Tue Feb 19 2002 Nemo <no@one>
- bumped up to v0.33

* Mon Feb 18 2002 Nemo <no@one>
- bumped up to v0.31

* Sun Jan 20 2002 Nemo <no@one>
- bumped up to v0.30

* Sat Jan 19 2002 Nemo <no@one>
- bumped up to v0.29

* Sun Jan 06 2002 Nemo <no@one>
- bumped up to v0.28

* Sat Dec 15 2001 Nemo <no@one>
- First version, v0.25

